package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DkFjMapper;
import com.ruoyi.system.domain.DkFj;
import com.ruoyi.system.service.IDkFjService;

/**
 * 贷款_附件Service业务层处理
 * 
 * @author boman
 * @date 2023-06-15
 */
@Service
public class DkFjServiceImpl implements IDkFjService 
{
    @Autowired
    private DkFjMapper dkFjMapper;

    /**
     * 查询贷款_附件
     * 
     * @param id 贷款_附件主键
     * @return 贷款_附件
     */
    @Override
    public DkFj selectDkFjById(Long id)
    {
        return dkFjMapper.selectDkFjById(id);
    }

    /**
     * 查询贷款_附件列表
     * 
     * @param dkFj 贷款_附件
     * @return 贷款_附件
     */
    @Override
    public List<DkFj> selectDkFjList(DkFj dkFj)
    {
        return dkFjMapper.selectDkFjList(dkFj);
    }

    /**
     * 新增贷款_附件
     * 
     * @param dkFj 贷款_附件
     * @return 结果
     */
    @Override
    public int insertDkFj(DkFj dkFj)
    {
        dkFj.setCreateTime(DateUtils.getNowDate());
        return dkFjMapper.insertDkFj(dkFj);
    }

    /**
     * 修改贷款_附件
     * 
     * @param dkFj 贷款_附件
     * @return 结果
     */
    @Override
    public int updateDkFj(DkFj dkFj)
    {
        return dkFjMapper.updateDkFj(dkFj);
    }

    /**
     * 批量删除贷款_附件
     * 
     * @param ids 需要删除的贷款_附件主键
     * @return 结果
     */
    @Override
    public int deleteDkFjByIds(Long[] ids)
    {
        return dkFjMapper.deleteDkFjByIds(ids);
    }

    /**
     * 删除贷款_附件信息
     * 
     * @param id 贷款_附件主键
     * @return 结果
     */
    @Override
    public int deleteDkFjById(Long id)
    {
        return dkFjMapper.deleteDkFjById(id);
    }
}
